Payroll runs & approvals

Create Modification Request Upload Url

Name and signature indicate it creates modification request upload url

POSThttps://api.toku.com/hris/create-modification-request-upload-url

Not available to API keys yet. It will need payroll:write.

curl --request POST \
  --url 'https://api.toku.com/hris/create-modification-request-upload-url' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "payrollRunID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "fileName": "string"
}'
200 response
{
  "fileKey": "string",
  "fileBucket": "string",
  "uploadUrl": "string",
  "expiresAt": "string"
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Body

application/json

payrollRunIDstring<uuid>required
fileNamestringrequired

Allowed: 1 to 255 characters

Response

200Successful response
fileKeystringrequired
fileBucketstringrequired
uploadUrlstringrequired
expiresAtstringrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits